Package org.apache.lucene.search

# Class DocIdSetBulkIterator

java.lang.Object
org.apache.lucene.search.DocIdSetBulkIterator

public abstract class DocIdSetBulkIterator extends Object
Bulk iterator over a `DocIdSetIterator`.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DocIdSetBulkIterator()`
  Sole constructor, invoked by sub-classes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `iterate(LeafCollector collector, Bits acceptDocs, int min, int max)`
  Iterate over documents contained in this iterator and call `LeafCollector.collect(int)` on them.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocIdSetBulkIterator

    protected DocIdSetBulkIterator()
    Sole constructor, invoked by sub-classes.

- ## Method Details

  - ### iterate

    public abstract void iterate(LeafCollector collector, Bits acceptDocs, int min, int max) throws IOException
    Iterate over documents contained in this iterator and call `LeafCollector.collect(int)` on them.
    Throws:
      `IOException`